textures/skies/desertsjc
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/desertsjc 512 -
}

textures/desertbreak/curtain1
{
	qer_editorimage	textures/desertbreak/curtain1
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	cull	twosided
	deformvertexes	wave	100 sin 10 5 0 0.35
        {
        map $lightmap
        }
        {
        map textures/desertbreak/curtain1
        blendFunc GL_DST_COLOR GL_ZERO
        }
}

textures/desertbreak/curtain2
{
	qer_editorimage	textures/desertbreak/curtain2
	surfaceparm	nonsolid
	surfaceparm	nonopaque
        surfaceparm     trans
        q3map_nolightmap
	cull	twosided
	deformvertexes	wave	100 sin 10 2 0 0.20
        {
        map textures/desertbreak/curtain2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.3
        }
}

textures/desertbreak/curtain3
{
	qer_editorimage	textures/desertbreak/curtain2
	surfaceparm	nonsolid
	surfaceparm	nonopaque
        surfaceparm     trans
        q3map_nolightmap
	cull	twosided
        {
        map textures/desertbreak/curtain2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.8
        }
}

textures/desertbreak/back
{
	qer_editorimage	textures/desertbreak/back
    {
        map $lightmap
    }
    {
        map textures/desertbreak/back
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/desertbreak/back_glw
        blendFunc GL_DST_COLOR GL_ONE
        glow
        rgbGen identity
    }
    
}

textures/desertbreak/troop_basea
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/desertbreak/troop_basea
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/desertbreak/env_troop_base
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.15
        tcGen environment
    }
}

textures/desertbreak/side_cockpit
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/desertbreak/side_cockpit
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/desertbreak/env_troop_base
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/desertbreak/cockpit
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/desertbreak/cockpit
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/desertbreak/env_troop_base
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/desertbreak/troop_wing3
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/desertbreak/troop_wing3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/desertbreak/troop_wing3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
 	map textures/desertbreak/troop_wing3_glw
        blendFunc GL_DST_COLOR GL_ONE
        glow
        rgbGen identity
    }
    {
        map textures/desertbreak/env_wing
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/desertbreak/terrain_base
{
	nopicmips
	q3map_material	Sand
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/desertbreak/terrain_0
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desertbreak/sand.jpg
	{
		map textures/desertbreak/sand.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/desertbreak/terrain_1
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desertbreak/rock.jpg
	{
		map textures/desertbreak/rock.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/desertbreak/terrain_2
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desert/rockwall2.jpg
	{
		map textures/desert/rockwall2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/desertbreak/terrain_0to1
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desertbreak/sand.jpg
	{
		map textures/desertbreak/sand.jpg
	}
	{
		map textures/desertbreak/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/desertbreak/terrain_0to2
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desertbreak/sand.jpg
	{
		map textures/desertbreak/sand.jpg
	}
	{
		map textures/desert/rockwall2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/desertbreak/terrain_1to2
{
	q3map_baseshader textures/desertbreak/terrain_base
	qer_editorimage textures/desertbreak/rock.jpg
	{
		map textures/desertbreak/rock.jpg
	}
	{
		map textures/desert/rockwall2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}